Page MenuHomePhabricator

Categories marked for translation don't have anything translatable, page display title available only if there's another string to translate
Closed, InvalidPublic

Description

(Split from bug 44864 comment #4)

(In reply to comment #2)

Why is that category a translatable page if there is nothing to translate?

Note: By way, if category have no translatable strings, upper caption is
"This
page is a translated version of a page and the translation is 0% complete".
In
my opinion, should be "100%".

This is because the bar assumes there will always be at least one translation unit, the page title.
This is IMHO a correct assumption, because the pagedisplay / displaytitle for categories should be translatable as in all pages (and I thought it was; maybe this changed at some point). However, if for some reason devs decide the contrary the calculation bug reported by Kaganer remains.


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/w/index.php?title=Special%3ATranslate&taction=translate&group=page-Category%3ALocalisation+extensions&language=it&limit=100&task=untranslated
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=29928

Details

Reference
bz44867

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:18 AM
bzimport set Reference to bz44867.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Feb 11 2013, 8:47 AM

Clarified summary: the page display title became available when another non-empty translation unit was added.

Ok, this tested in the http://www.mediawiki.org/wiki/Category:MediaWiki_Introduction/ru

Why this page marked as "50% translation"? There's no untranslated content... Maybe should be two translatable string at least?

To keep an eye on: unlrelated gerrit change 52216 might affect this.

(In reply to comment #3)

To keep an eye on: unlrelated Gerrit change #52216 might affect this.

That patch got merged on March 07, 2013, hence wondering what's the status here.

(In reply to comment #4)

(In reply to comment #3)

To keep an eye on: unlrelated Gerrit change #52216 might affect this.

That patch got merged on March 07, 2013, hence wondering what's the status
here.

IIRC I tested when that was deployed and nothing had changed.
On the original example if you remove the translation unit the mark page for translation link doesn't even appear; I created another test case and there's nothing to translate after «The page has been marked up for translation with 0 translation units. The page can now be translated».
https://www.mediawiki.org/w/index.php?title=Special%3ATranslate&taction=translate&group=page-Category%3ALocalisation+extensions&language=it&limit=100&task=untranslated

Nikerabbit lowered the priority of this task from Normal to Low.Feb 1 2015, 4:45 PM
Nemo_bis closed this task as Invalid.Feb 1 2015, 8:38 PM
Nemo_bis claimed this task.

This issue needs to be reassessed, as translation admins on Meta-Wiki and mediawiki.org have been adding hundreds or thousands of categories to translation, by including descriptions in them all. IMHO this is not particularly efficient, but this workaround is so widespread that it might make this issue moot. Closing for now.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.Mar 11 2015, 12:55 PM